//this dofile produces online appendix 10, panel B 



clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus & muslims; 

keep if q10 == 1;


** drop women (n = 484) ; 

keep if sex == 1; 


** restrict to individuals whose family had land ; 


keep if fam_land_owner == 1;




** set max rate of 10%; 
set obs 5290; 

gen fakes  = 1 in 4810/5290;
replace fakes = 0 if fakes == . ;

** auxiliary parameters; 

replace nonfarmer = 1 if fakes == 1;  
replace distfx = 87 in 4810/5290;


** set sibs and land ;  

replace sibs = 3 if fakes == 1; 

replace fam_land = 40 if fakes == 1; 
replace fam_land_dummies = 40 in 4810/5290; 

** vars for graph ;
gen beta  = . ; 
gen beta_hi = . ; 
gen beta_lo = . ; 
gen varnames = . ;
gen varlabs = . ; 
gen fake_bros = . ;
gen pr_bro = . ; 


local row = 1; 
local j = 1; 


mat zzz=J(100,40,.);


foreach i of numlist 0(.01)1 {; 

replace fake_bros = rbinomial(5,`i');
replace fake_bros = round(`i')*5 if fake_bros == . ; 

replace pred_share_i = 1/(1+fake_bros) if fakes == 1; 

reg nonfarmer pred_share_i i.sibs i.fam_land_dummies i.distfx, r; 
replace beta = _b[pred_share_i] in `j'; 
replace beta_hi = _b[pred_share_i]+1.96*_se[pred_share_i] in `j'; 
replace beta_lo = _b[pred_share_i]-1.96*_se[pred_share_i] in `j'; 

replace pr_bro = `i' in `j'; 
local row = `row'+3; 
local j = `j' + 1; 

};

** add reference line; 

gen dog = -.126;


 
** Graph for 3 sibs and 40 acres; 

twoway  (rarea beta_hi beta_lo pr_bro, color(gray)  fi(inten10%)) (line beta pr_bro, lcolor(black)
ytitle("Non-Ag Reduced Form Estimate")  xtitle("Pr(Male Sibling)") title("Panel B: Reduced Form by Male Birth Probability" 
"3 siblings, 40 acres of Family Land", size(medsmall) justification(center)) legend(position(6) lab(1 "95% CI") lab(2 "Simulated RF") lab(3 "Actual RF")) yline(-.126))
(line dog pr_bro, lcolor(red) lwidth(thin));





 
 
 