//this dofile produces online appendix 12

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;




pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus & muslims; 

keep if q10 == 1;



** drop women (n = 484) ; 

keep if sex == 1; 



** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;






*** adjust depvars for birthorder of 3; 
gen logcons_3 = logcons if birthorder_t <= 3; 
gen nonfarmer_3 = nonfarmer if birthorder_t <= 3;


** adjust depvars for last sis;

gen logcons_sis = logcons if last_sis == 1; 
gen nonfarmer_sis = nonfarmer if last_sis == 1;




** run standard specifications; 

mat t=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];



xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx i.fam_land_dummies 
	
   , robust;

	mat t[`row',1]=_b[hh_inhet_land];
	mat t[`row'+1,1]=_se[hh_inhet_land];
	

	sum `varlist'; 
	mat t[`row'+3,1] = `r(mean)'; 
	mat t[`row'+4,1] = e(widstat); 
	mat t[`row'+5,1] =e(N);
	

	
xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx i.fam_land_dummies i.prior_perm_grp
	
   , robust;

	mat t[`row',3]=_b[hh_inhet_land];
	mat t[`row'+1,3]=_se[hh_inhet_land];
	
	
	sum `varlist'; 
	mat t[`row'+3,3] = `r(mean)'; 
	mat t[`row'+4,3] = e(widstat); 
	mat t[`row'+5,3] =e(N);
	


	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx i.fam_land_dummies  i.space_dummies_win
	
   , robust;

	mat t[`row',5]=_b[hh_inhet_land];
	mat t[`row'+1,5]=_se[hh_inhet_land];
	
	sum `varlist'; 
	mat t[`row'+3,5] = `r(mean)'; 
	mat t[`row'+4,5] = e(widstat); 
	mat t[`row'+5,5] =e(N);
	
	
    xi: ivreg2  `varlist' (hh_inhet_land = priorbros)
	
	i.birthorder_t  i.sibs i.distfx i.fam_land_dummies
	
   , robust;

	mat t[`row',7]=_b[hh_inhet_land];
	mat t[`row'+1,7]=_se[hh_inhet_land];
	
	sum `varlist'; 
	mat t[`row'+3,7] = `r(mean)'; 
	mat t[`row'+4,7] = e(widstat); 
	mat t[`row'+5,7] =e(N);
	
	
	
end;

	

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer logcons  nonfarmer_3 logcons_3 nonfarmer_sis logcons_sis  {;




	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+7;

};

lazystar, table(t) columns(1(2)29) coefs(14) rowgap(7) outsheet(../out/c5_final);

