//this dofile produces online appendix 13



clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus ;


keep if q10 == 1;



** drop women (n = 484) ; 

keep if sex == 1; 




gen pred_share_owner = pred_share_i * fam_land_owner ;


** run standard specifications; 

mat t=J(1000,100,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

   cap drop hh_inhet_land_firstborn; 
   gen hh_inhet_land_firstborn = hh_inhet_land*firstborn;
   
   cap drop pred_share_i_firstborn;
   gen pred_share_i_firstborn = pred_share_i*firstborn;
   
   cap drop pred_land_l_firstborn;
   gen pred_land_l_firstborn = pred_land_l*firstborn;
   
   
   
	xi: reg `varlist'  pred_share_i
	
	i.sibs i.distfx i.fam_land_dummies if fam_land_owner == 1, robust;

	mat t[`row',1]=_b[pred_share_i];
	mat t[`row'+1,1]=_se[pred_share_i];
	mat t[`row'+11,1] =e(N);
	
	testparm pred_share_i; 
	mat t[`row'+9,1] = `r(F)';
	sum `varlist' if fam_land_owner == 1; 
	mat t[`row'+10,1] = `r(mean)';  
	
	
	   
	xi: reg `varlist'  pred_share_i fam_land_owner pred_share_owner
	
	i.sibs i.distfx i.fam_land_dummies, robust;

	mat t[`row',3]=_b[pred_share_i];
	mat t[`row'+1,3]=_se[pred_share_i];
	
	mat t[`row'+3,3]=_b[pred_share_owner];
	mat t[`row'+4,3]=_se[pred_share_owner];
	
	
	mat t[`row'+11,3] =e(N);
	
	testparm pred_share_i; 
	mat t[`row'+9,3] = `r(F)';
	sum `varlist'; 
	mat t[`row'+10,3] = `r(mean)';  
   

	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx i.fam_land_dummies if fam_land_owner == 1 

	
     , robust;

	mat t[`row',5]=_b[hh_inhet_land];
	mat t[`row'+1,5]=_se[hh_inhet_land];
	mat t[`row'+11,5] =e(N);
	
	mat t[`row'+9,5] = e(widstat); 
	sum `varlist' if fam_land_owner == 1; 
	mat t[`row'+10,5] = `r(mean)';  



	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx  i.fam_land_dummies
	
	 i.dowry_dummies_al

	
 , robust;

	mat t[`row',7]=_b[hh_inhet_land];
	mat t[`row'+1,7]=_se[hh_inhet_land];
	mat t[`row'+11,7] =e(N);
	
	mat t[`row'+9,7] = e(widstat); 
	sum `varlist'  if fam_land_owner == 1; 
	mat t[`row'+10,7] = `r(mean)';  
	
	
	
	
		xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	
	i.sibs i.distfx i.fam_land_dummies i.educ

	
     , robust;

	mat t[`row',9]=_b[hh_inhet_land];
	mat t[`row'+1,9]=_se[hh_inhet_land];
	mat t[`row'+11,9] =e(N);
	
	mat t[`row'+9,9] = e(widstat); 
	sum `varlist'  if fam_land_owner == 1; 
	mat t[`row'+10,9] = `r(mean)';  



end;



gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist educ med_dowry_al  nonfarmer logcons   {;



	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+15;

};

lazystar, table(t) columns(1(2)51) coefs(50) rowgap(3) outsheet(../out/c6_final);

