//this dofile produces online appendix 3

clear
set memory 500m
set matsize 3000
set more off 
# delimit;

pwd;
cd "`c(pwd)'";

use ../../../ihds/dta/wage_gap-indiv.dta, replace;



** restrict to rural india; 

drop if urb == 1;



** run standard specifications; 

mat t=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];


  xi: areg daily_wage_w `varlist' sex i.agedummies i.educ  if main_source == "farm_job" | main_source == "`varlist'" [aw = SWEIGHT], absorb(distfx) robust; 
	
	mat t[`row',1]=_b[`varlist'];
	mat t[`row'+1,1]=_se[`varlist'];
	mat t[`row'+3,1] =e(N);
	
	sum daily_wage_w if main_source == "farm_job"; 
    mat t[`row'+5,1] =`r(mean)';


  xi: areg daily_wage_w `varlist' sex i.agedummies i.educ if main_source == "farm_job"  & FM4 <= 3 | main_source == "`varlist'"   [aw = SWEIGHT], absorb(distfx) robust; 

	mat t[`row',3]=_b[`varlist'];
	mat t[`row'+1,3]=_se[`varlist'];
	mat t[`row'+3,3] =e(N);
	
	sum daily_wage_w if main_source == "farm_job" & FM4 <= 3; 
    mat t[`row'+5,3] =`r(mean)';
    
    
  xi: areg daily_wage_w `varlist' sex i.agedummies i.educ if main_source == "farm_job"  & FM4 > 3 | main_source == "`varlist'"   [aw = SWEIGHT], absorb(distfx) robust; 

	mat t[`row',5]=_b[`varlist'];
	mat t[`row'+1,5]=_se[`varlist'];
	mat t[`row'+3,5] =e(N);
	
	sum daily_wage_w if main_source == "farm_job" & FM4 > 3; 
    mat t[`row'+5,5] =`r(mean)';


end;


gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist bus_job sal_job nonaglabor_job    {;

	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+7;

};

lazystar, table(t) columns(1(2)29) coefs(14) rowgap(7) outsheet(../out/a3_final);
