//this dofile produces online appendix 5



clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;

pwd;
cd "`c(pwd)'"; 

use ../../Public99/hhecon/dta/ar99_sibs.dta, clear; 


** restrict to hindus & muslims; 

keep if religion == 1 ;


** drop women;

keep if sex == 1; 




** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;


** interaction terms ; 

gen first_sex = firstborn*sex; 



** compute  change in landholdings ; 
*problem here is that this is reported ownership and doesn't take in to 
acct land that is acquired ;


gen change1 = cur_land_w - inhet_land_w; 
gen change2 = (cur_land - inhet_land)/inhet_land;

gen land_increase = (change1 > 0 & change1 != .); 
gen land_decrease = (change1 < 0 & change1 != .);





** restrict to inhet sibs; 

keep if age > 10 | death_age > 10; 




** whether inhet or not; 

gen inhet_bin = (inhet_land_w > 0 & inhet_land_w != . ) ;

** sex specific birth order is great than 5; 

gen order_bro_l = (birthorder_sex_t > 4);

label var order_bro_l "later born sib, i.e. > 4 ";

mat t=J(500,40,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];

    
    xi: areg `varlist' order_bro_2 order_bro_3 order_bro_4 order_bro_l  i.agedummies
    
 , absorb(id2);
	
	mat t[`row',1]=_b[order_bro_2];
	mat t[`row'+1,1]=_se[order_bro_2];
	
	mat t[`row'+3,1]=_b[order_bro_3];
	mat t[`row'+4,1]=_se[order_bro_3];
	
	mat t[`row'+6,1]=_b[order_bro_4];
	mat t[`row'+7,1]=_se[order_bro_4];
	
	mat t[`row'+9,1]=_b[order_bro_l];
	mat t[`row'+10,1]=_se[order_bro_l];
	
	mat t[`row'+12,1]=_b[_cons];
	mat t[`row'+13,1]=_se[_cons];

	mat t[`row'+16,1] =e(N);
	
	sum `varlist'; 
    mat t[`row'+15,1] =`r(mean)';
      
    xi: areg `varlist' order_bro_2   i.agedummies
    
	if bros == 2 , absorb(id2);
	
	mat t[`row',3]=_b[order_bro_2];
	mat t[`row'+1,3]=_se[order_bro_2];
	
	mat t[`row'+15,3] =e(N);
	
	sum `varlist'; 
    mat t[`row'+16,3] =`r(mean)';

    
    xi: areg `varlist' order_bro_2 order_bro_3   i.agedummies
    
	if bros == 3 , absorb(id2);
	
	mat t[`row',5]=_b[order_bro_2];
	mat t[`row'+1,5]=_se[order_bro_2];
	
	mat t[`row'+3,5]=_b[order_bro_3];
	mat t[`row'+4,5]=_se[order_bro_3];
	
	mat t[`row'+15,5] =e(N);
	
	sum `varlist'; 
    mat t[`row'+16,5] =`r(mean)';


    xi: areg `varlist' order_bro_2 order_bro_3 order_bro_4  i.agedummies
    
	if bros == 4, absorb(id2);
	
	mat t[`row',7]=_b[order_bro_2];
	mat t[`row'+1,7]=_se[order_bro_2];
	
	mat t[`row'+3,7]=_b[order_bro_3];
	mat t[`row'+4,7]=_se[order_bro_3];
	
	mat t[`row'+6,7]=_b[order_bro_4];
	mat t[`row'+7,7]=_se[order_bro_4];
	
	mat t[`row'+15,7] =e(N);
	
	sum `varlist'; 
    mat t[`row'+16,7] =`r(mean)';

    
    xi: areg `varlist' order_bro_2 order_bro_3 order_bro_4 order_bro_5  i.agedummies
    
	if bros <= 5 , absorb(id2);
	
	mat t[`row',9]=_b[order_bro_2];
	mat t[`row'+1,9]=_se[order_bro_2];
	
	mat t[`row'+3,9]=_b[order_bro_3];
	mat t[`row'+4,9]=_se[order_bro_3];
	
	mat t[`row'+6,9]=_b[order_bro_4];
	mat t[`row'+7,9]=_se[order_bro_4];
	
	mat t[`row'+9,9]=_b[order_bro_5];
	mat t[`row'+10,9]=_se[order_bro_5];
	
	mat t[`row'+15,9] =e(N);
	
	sum `varlist'; 
    mat t[`row'+16,9] =`r(mean)';

    
    xi: areg `varlist' order_bro_2 order_bro_3 order_bro_4 order_bro_5 order_bro_6  i.agedummies
    
	if bros <= 6 , absorb(id2);
	
	mat t[`row',11]=_b[order_bro_2];
	mat t[`row'+1,11]=_se[order_bro_2];
	
	mat t[`row'+3,11]=_b[order_bro_3];
	mat t[`row'+4,11]=_se[order_bro_3];
	
	mat t[`row'+6,11]=_b[order_bro_4];
	mat t[`row'+7,11]=_se[order_bro_4];
	
	mat t[`row'+9,11]=_b[order_bro_5];
	mat t[`row'+10,11]=_se[order_bro_5];
	
	mat t[`row'+12,11]=_b[order_bro_6];
	mat t[`row'+13,11]=_se[order_bro_6];
	
	mat t[`row'+15,11] =e(N);
	
	sum `varlist'; 
    mat t[`row'+16,11] =`r(mean)';


end;




gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist inhet_bin inhet_land_w land_increase change1 q13  {;

	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+18;

};

lazystar, table(t) columns(1(2)29) coefs(100) rowgap(3) outsheet(../out/b2_final);


