//this dofile produces figure 1 

clear 
clear matrix
set memory 700m
set more off
set matsize 10000
# delimit;





pwd;
cd "`c(pwd)'"; 

use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 



** restrict to hindus;

keep if q10 == 1 ;

** drop women (n = 484) ; 

keep if sex == 1; 





** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;




** prediction rule; 

gen pred_rule = 1 in 1; 
replace pred_rule = 1/2 in 2; 
replace pred_rule = 1/3 in 3; 
replace pred_rule = 1/4 in 4;
replace pred_rule = 1/5 in 5; 
replace pred_rule = 1/6 in 6; 
replace pred_rule = 1/7 in 7; 
replace pred_rule = 1/8 in 8; 
replace pred_rule = 1/9 in 9; 
replace pred_rule = 1/10 in 10; 
replace pred_rule = 1/11 in 10; 



** First stage graph ;

* PANEL A; 

** restrict to inhet_share <= 1; 

keep if inhet_share <= 1;


xi: reg inhet_share bro_inhet_0-bro_inhet_8 i.sis , robust noconstant ; 


mat zzz = r(table)';
gen bro_no = _n-1;

svmat zzz;

eclplot zzz1 zzz5 zzz6 bro_no if bro_no <= 5, eplottype(scatter)  estopts(mcolor(black) msize(small)) xtitle("Number of Brothers") ytitle("Inherited Share") 
xlabel(0(1)5) caption("Sample: n = 4,809, less than 6 brothers", size(small) color(black))  title("Panel A: Rule-Based and Empirical Inheritance Shares" "by Number of Brothers", 
size(medsmall) justification(center)) legend(on position(6)  lab(1 "95% CI") lab(2 "Empirical") lab(3 "Inheritance Rule"))
plot (scatter pred_rule bro_no, sort mcolor(red) msize(small) lcolor(red) lwidth(medthick)
lpattern(dash) connect(stairstep_up));


* PANEL B; 


** restrict to inhet_share <= 1; 

keep if inhet_share <= 1; 

tab sis, gen(sis_);

foreach i of numlist 1/9 {; 

local j = `i' - 1; 

rename sis_`i' sis_`j';

};



xi: reg inhet_share sis_0-sis_8 i.bro_inhet , robust noconstant ; 



mat zzz = r(table)';
gen sis_no = _n-1;

svmat zzz;

eclplot zzz1 zzz5 zzz6 sis_no if sis_no <= 5, eplottype(scatter)  estopts(mcolor(black) msize(small)) xtitle("Number of Sisters") ytitle("Inherited Share") 
xlabel(0(1)5)  caption("Sample: n = 4,809, less than 6 sisters ", size(small) color(black))  title("Panel B: Rule-Based and Empirical Inheritance Shares" "by Number of Sisters", 
size(medsmall) justification(center)) legend(on position(6)  lab(1 "95% CI") lab(2 "Empirical") lab(3 "Inheritance Rule")) plot (scatter pred_rule sis_no, sort mcolor(red) msize(small) lcolor(red) lwidth(medthick)
lpattern(dash) connect(stairstep_up));





