//this dofile produces table 3 (sibling-level results) 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_sibs.dta, clear; 



** restrict to hindus ;

keep if religion == 1 ;
dog


** drop women;

keep if sex == 1; 




** restrict to inhet sibs; 

keep if age > 10 | death_age > 10; 


gen landless = (fam_land_owner == 0);
gen landed = (fam_land_owner == 1); 

gen pred_share_i_landless = pred_share_i * landless;

gen pred_share_i_landed = pred_share_i * landed; 



** run standard specifications; 



mat t=J(1000,100,.);

cap program drop line;
program define line;
syntax varlist, row(string) [absorb(passthru)];


	reg  `varlist'  pred_share_i
	i.sibs i.distfx i.fam_land_dummies    
	
	
	
	if fam_land_owner == 1, cluster(id2) robust;


	mat t[`row',3]=_b[pred_share_i];
	mat t[`row'+1,3]=_se[pred_share_i];
	

	
	mat t[`row'+6,3]=e(N);

	
	sum `varlist' if fam_land_owner == 1; 
	mat t[`row'+8,3] = `r(mean)'; 
	
	




	reg  `varlist' landed pred_share_i_landless pred_share_i_landed sex
	i.sibs i.distfx i.fam_land_dummies
	, cluster(id2) robust;


	mat t[`row',5]=_b[pred_share_i_landed];
	mat t[`row'+1,5]=_se[pred_share_i_landed];
	
	mat t[`row'+3,5]=_b[pred_share_i_landless];
	mat t[`row'+4,5]=_se[pred_share_i_landless];
	
	mat t[`row'+6,5]=e(N);

	
	sum `varlist'; 
	mat t[`row'+8,5] = `r(mean)'; 
	
	
end;



gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist migrant urb_mig rur_mig  {;

	line `x', row(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+9;

};

lazystar, table(t) columns(1(2)51) coefs(50) rowgap(3) outsheet(../out/t3_2_final);
