//this dofile produces table 4 (household head level results) 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_meta.dta, clear; 


** restrict to hindus & muslims; 

keep if q10 == 1;


** drop women (n = 484) ; 

keep if sex == 1; 




** restrict to individuals whose family had land ; 

keep if fam_land_owner == 1;






** run standard specifications; 

mat t=J(100,40,.);

cap program drop line;
program define line;
syntax varlist, col(string) [absorb(passthru)];



	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	i.sibs i.distfx i.fam_land_dummies, robust;

	mat t[1,`col']=_b[hh_inhet_land];
	mat t[2,`col']=_se[hh_inhet_land];
	mat t[7,`col'] =e(N);
	
	mat t[6,`col'] = e(widstat); 
	sum `varlist'; 
	mat t[4,`col'] = `r(mean)'; 
	
	
	xi: ivreg2  `varlist' (hh_inhet_land = pred_share_i)
	i.sibs i.distfx i.fam_land_dummies
 	net_dowry_al  age birthorder_t spacing_win dads_educ moms_educ educ

	, robust;

	mat t[1,`col'+2]=_b[hh_inhet_land];
	mat t[2,`col'+2]=_se[hh_inhet_land];
	mat t[7,`col'+2] =e(N);
	
	mat t[6,`col'+2] = e(widstat); 
	sum `varlist'; 
	mat t[4,`col'+2] = `r(mean)'; 
	
	
 

end;


gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist nonfarmer logcons logloans   {;



	line `x', col(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+4;

};
lazystar, table(t) columns(1(2)29) coefs(14) rowgap(8) outsheet(../out/t4_1_final);

