//this dofile produces table 5 (sibling level results) 

clear 
clear matrix
set memory 700m
set more off
set matsize 1000
# delimit;


pwd;
cd "`c(pwd)'"; 


use ../../Public99/hhecon/dta/ar99_sibs.dta, clear; 


** restrict to hindus & muslims; 

keep if religion == 1 ;

** drop women;

keep if sex == 1; 



** restrict to inhet sibs; 

keep if age > 10 | death_age > 10; 


** calculate net dowry; 


gen net_dowry = dowry_rec-dowry_paid;


gen latterborn = (firstborn == 0); 



** run standard specifications; 

mat t=J(1000,40,.);

cap program drop line;
program define line;
syntax varlist, col(string) [absorb(passthru)];

   cap drop inhet_land_firstborn; 
   gen inhet_land_firstborn = inhet_land*firstborn;
   
   cap drop pred_share_i_firstborn;
   gen pred_share_i_firstborn = pred_share_i*firstborn;
   
 cap drop inhet_land_latterborn; 
   gen inhet_land_latterborn = inhet_land*latterborn;
   
   cap drop pred_share_i_latterborn;
   gen pred_share_i_latterborn = pred_share_i*latterborn;
   
   
	
	
		xi: ivreg2  `varlist' (inhet_land_latterborn inhet_land_firstborn  = pred_share_i_latterborn pred_share_i_firstborn) firstborn
	
    i.sibs i.distfx i.fam_land_dummies i.agedummies
    
        dowry_rec_al  spacing_win dads_educ moms_educ educ


	
   if fam_land_owner == 1 , robust cluster(id2);

	
	mat t[1,`col']=_b[firstborn];
	mat t[2,`col']=_se[firstborn];
	
	mat t[4,`col']=_b[inhet_land_firstborn];
	mat t[5,`col']=_se[inhet_land_firstborn];
	
	mat t[7,`col']=_b[inhet_land_latterborn];
	mat t[8,`col']=_se[inhet_land_latterborn];
	
		mat t[13,`col'] =e(N);

	
	sum `varlist' if fam_land_owner == 1; 
	mat t[10,`col'] = `r(mean)';
	
	
	
	

	xi: reg  `varlist'  pred_share_i_latterborn pred_share_i_firstborn firstborn
	
    i.sibs i.distfx i.fam_land_dummies i.agedummies
    
     dowry_rec_al  spacing_win dads_educ moms_educ educ

    
	
   if fam_land_owner == 0, robust cluster(id2);

	mat t[31,`col']=_b[firstborn];
	mat t[32,`col']=_se[firstborn];
	
	mat t[34,`col']=_b[pred_share_i_firstborn];
	mat t[35,`col']=_se[pred_share_i_firstborn];
	
	mat t[37,`col']=_b[pred_share_i_latterborn];
	mat t[38,`col']=_se[pred_share_i_latterborn];
	
	mat t[43,`col'] = e(widstat); 

	
	sum `varlist' if fam_land_owner == 0;
	mat t[41,`col'] = `r(mean)';
    mat t[44,`col'] =e(N);
    
  
    
end;

gen varnames="";
gen varlabs="";


local j=1; 

foreach x of varlist migrant urb_mig rur_mig {;


line `x', col(`j');
	replace varnames = "`x'" in `j';
	local varlab: variable label `x';
	replace varlabs = "`varlab'" in `j';  
	local j = `j'+2;

};
lazystar, table(t) columns(1(2)29) coefs(14) rowgap(3) outsheet(../out/t5_2_final);
